# FoundationClasses
TKernel
Dico

# Dico_StackItemOfDictionaryOfInteger Class Reference

`#include <Dico_StackItemOfDictionaryOfInteger.hxx>`

Inheritance diagram for Dico_StackItemOfDictionaryOfInteger:

[legend]

## Public Member Functions

Standard_EXPORT | Dico_StackItemOfDictionaryOfInteger ()
Standard_EXPORT | Dico_StackItemOfDictionaryOfInteger (const Handle(Dico_StackItemOfDictionaryOfInteger)&previous)
Standard_EXPORT Handle_Dico_StackItemOfDictionaryOfInteger | Previous () const
Standard_EXPORT Handle_Dico_DictionaryOfInteger | Value () const
Standard_EXPORT void | SetValue (const Handle(Dico_DictionaryOfInteger)&cval)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Dico_DictionaryOfInteger | thevalue
Handle_Dico_StackItemOfDictionaryOfInteger | theprev

## Constructor & Destructor Documentation

Standard_EXPORT Dico_StackItemOfDictionaryOfInteger::Dico_StackItemOfDictionaryOfInteger | ( |  | ) |

Standard_EXPORT Dico_StackItemOfDictionaryOfInteger::Dico_StackItemOfDictionaryOfInteger | ( | const Handle(Dico_StackItemOfDictionaryOfInteger)& | previous | ) |

## Member Function Documentation

Standard_EXPORT const Dico_StackItemOfDictionaryOfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT Handle_Dico_StackItemOfDictionaryOfInteger Dico_StackItemOfDictionaryOfInteger::Previous | ( |  | ) | const

Standard_EXPORT void Dico_StackItemOfDictionaryOfInteger::SetValue | ( | const Handle(Dico_DictionaryOfInteger)& | cval | ) |

Standard_EXPORT Handle_Dico_DictionaryOfInteger Dico_StackItemOfDictionaryOfInteger::Value | ( |  | ) | const

## Field Documentation

Handle_Dico_StackItemOfDictionaryOfInteger Dico_StackItemOfDictionaryOfInteger::theprev `[private]`

Handle_Dico_DictionaryOfInteger Dico_StackItemOfDictionaryOfInteger::thevalue `[private]`

The documentation for this class was generated from the following file:

- Dico_StackItemOfDictionaryOfInteger.hxx